Download it now!
Bug 131169 - Function wizard not correctly using the Add-In category
Summary: Function wizard not correctly using the Add-In category
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords:
Depends on:
Blocks: Function-Wizard
  Show dependency treegraph
 
Reported: 2020-03-05 19:59 UTC by Steve Fanning
Modified: 2020-04-23 14:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Fanning 2020-03-05 19:59:05 UTC
I have found an inconsistency in the behaviour of the user interface within Calc’s Function Wizard dialog.

The following behaviour appears to be the norm and applies whenever the function selected in the first step belongs to any category other than “Add-in”.
(1)	Double-click a function name in the “Function” list on the left-hand side of the Function Wizard dialog.
(2)	The right-hand side of the dialog is updated to provide details of the parameters to be supplied with the selected function.
(3)	The “Category” drop-down on the left-hand side of the dialog is updated (if necessary) to reflect the category of the selected function.
(4)	The “Function” list on the left-hand side of the dialog is updated (if necessary) to show only the functions in the same category as the selected function.
(5)	The entry for the selected function is highlighted in the “Function” list on the left-hand side of the dialog.

These steps all seem sensible from a user interface design perspective.

However, if you select a function in the first step that is in the “Add-in” category the behaviour is different as follows:
a)	The “Category” drop-down on the left-hand side of the dialog is updated (if necessary) to “All”.
b)	The “Function” list on the left-hand side of the dialog is updated (if necessary) to show all functions in all categories.
c)	The entry for the selected function is NOT highlighted in the “Function” list on the left-hand side of the dialog.

I find this inconsistency very frustrating – could anything be done to make the dialog handle the Add-in functions in the same way that it handles those in other categories?

Build and system information from the About LibreOffice dialog follows:
Version: 6.4.0.3 (x64)
Build ID: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU threads: 2; OS: Windows 10.0 Build 18363; UI render: GL; VCL: win; 
Locale: en-US (en_GB); UI-Language: en-US
Calc: CL
Comment 1 Heiko Tietze 2020-03-11 13:26:00 UTC
Confirmed. "Add-In" functions are not related to this category. Guess it's a simple "search here as well" thing.
Comment 2 Julien Nabet 2020-04-21 14:00:03 UTC
On pc Debian x86-64 with master sources updated today, it's even worse than this.
Indeed, if I select "ABS" (which is in Math category), category automatically selected is "Logical" (the one before Math).

If I select "AND" (which is in "Logical" category), it gives "Information".
Comment 3 Julien Nabet 2020-04-21 16:08:37 UTC
I gave a try with https://gerrit.libreoffice.org/c/core/+/92652
Comment 4 Commit Notification 2020-04-22 16:45:05 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4048ddc65a36fe0b8940019ded4fd1d58f907bcc

tdf#131169: Retrieve right category in function wizard

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-04-22 18:50:53 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/175143c819d6043bc3e986c90ec137c462da1eb0

tdf#131169: Retrieve right category in function wizard

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-04-23 14:41:00 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2aab1c47df5648a3667c75efcdd1c1a4f08d6146

Related tdf#131169: avoid magic numbers

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.